Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.events
Class BrowserHistoryEvent

    java.lang.Object
      Event
          org.eclipse.rwt.events.BrowserHistoryEvent

public final class BrowserHistoryEvent
extends Event

Instances of this class provide information about a browser history navigation event.

Since:
  1.3
See Also:
  `BrowserHistoryListener`, `IBrowserHistory`, Serialized Form

Field Summary
`java.lang.String` `entryId` The browser history entry to which the user navigated.
`static int` `NAVIGATED`

Constructor Summary
`BrowserHistoryEvent(java.lang.Object source, java.lang.String entryId)`

Method Summary
`static void` `addListener(Adaptable adaptable, BrowserHistoryListener listener)`
`protected void` `dispatchToObserver(java.lang.Object listener)`
`static java.lang.Object[]` `getListeners(Adaptable adaptable)`
`protected java.lang.Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, BrowserHistoryListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAVIGATED

    public static final int NAVIGATED

See Also:
  Constant Field Values

### entryId

    public java.lang.String entryId

  The browser history entry to which the user navigated.

Constructor Detail

### BrowserHistoryEvent

    public BrowserHistoryEvent(java.lang.Object source,
                               java.lang.String entryId)

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(java.lang.Object listener)

### getListenerType

    protected java.lang.Class getListenerType()

### addListener

    public static void addListener(Adaptable adaptable,
                                   BrowserHistoryListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      BrowserHistoryListener listener)

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### getListeners

    public static java.lang.Object[] getListeners(Adaptable adaptable)

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.